Subject: Re: [PATCH 00/14] ARM: davinci: step towards removing at24_platform_data

From: Andrew Lunn <[email-masked]>
Date: Mon, 25 Jun 2018 20:02:37 +0200

> With my patch 1/14 you'll get -EPROBE_DEFER from nvmem_cell_get() if
> the nvmem provider is not yet registered. Will that help in your case?

I don't think so. My driver instantiates the AT24 device. So if i get
-EPROBE_DEFER, i need to cleanup the probe, and return -EPROBDE_DEFER
to the code. Which means i need to remove the AT24 device...

       Andrew